_: {
  programs = let
    enableZsh = {
      enable = true;
      enableZshIntegration = true;
    };
  in {
    zsh = {
      enable = true;
      enableCompletion = true;
      autosuggestion.enable = true;
      syntaxHighlighting.enable = true;

      autocd = true;

      shellAliases = {
        cl = "clear";
        md = "mkdir -p";

        ip = "ip --color";
      };

      initExtra = ''
        unsetopt HIST_SAVE_BY_COPY
      '';

      oh-my-zsh = {
        # enable = true;
        theme = "eastwood";
      };
    };

    direnv = enableZsh;

    fzf = enableZsh;
    eza = enableZsh;
    zoxide = enableZsh;
    ripgrep.enable = true;

    fastfetch.enable = true;

    btop = {
      enable = true;
      settings.color_theme = "ayu";
    };
  };
}
